=== modified file 'NEWS'
--- NEWS	2006-07-11 15:05:36 +0000
+++ NEWS	2006-07-11 21:46:11 +0000
@@ -116,6 +116,11 @@
     * Normalize unicode filenames to ensure cross-platform consistency.
       (John Arbash Meinel, #43689)
 
+    * The argument parser can now handle '-' as an argument. Currently
+      no code interprets it specially (it is mostly handled as a file named 
+      '-'). But plugins, and future operations can use it.
+      (John Arbash meinel, #50984)
+
   INTERNALS:
 
     * Combine the ignore rules into a single regex rather than looping over

=== modified file 'bzrlib/commands.py'
--- bzrlib/commands.py	2006-07-01 19:03:33 +0000
+++ bzrlib/commands.py	2006-07-11 21:46:11 +0000
@@ -368,6 +368,9 @@
             if argsover:
                 args.append(a)
                 continue
+            elif a == '-':
+                args.append(a)
+                continue
             elif a == '--':
                 # We've received a standalone -- No more flags
                 argsover = True

=== modified file 'bzrlib/tests/test_options.py'
--- bzrlib/tests/test_options.py	2006-06-20 03:30:14 +0000
+++ bzrlib/tests/test_options.py	2006-07-11 21:46:11 +0000
@@ -46,6 +46,10 @@
         out, err = self.run_bzr_captured(['help', '-r'], retcode=3)
         self.assertContainsRe(err, r'unknown option')
 
+    def test_allow_dash(self):
+        """Test that we can pass a plain '-' as an argument."""
+        self.assertEqual((['-'], {}), parse_args(cmd_commit(), ['-']))
+
 
 #     >>> parse_args('log -r 500'.split())
 #     (['log'], {'revision': [<RevisionSpec_int 500>]})

